org.apache.ignite.internal.processors.platform

## Interface PlatformEventFilterListener

All Superinterfaces:
  IgniteBiPredicate<UUID,Event>, IgnitePredicate<Event>, Serializable

All Known Implementing Classes:
  PlatformEventFilterListenerImpl

    public interface PlatformEventFilterListener
    extends IgnitePredicate<Event>, IgniteBiPredicate<UUID,Event>

Platform event filter and listener.

### Method Summary

Methods
`void` `initialize(GridKernalContext ctx)` Initializes the filter.
`void` `onClose()` Callback invoked when filter is closed.

### Methods inherited from interface org.apache.ignite.lang.IgnitePredicate

`apply`

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`apply`

### Method Detail

#### initialize

    void initialize(GridKernalContext ctx)

Initializes the filter.

#### onClose

    void onClose()

Callback invoked when filter is closed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017